'=============================================================================
' (c)2014 PIC18F2550
'=============================================================================
'================= Software ==================================================
' Jedem Modul stehen 64 Befehle zur verfügung werden mehr gebraucht so ist
' Das nachfolgende DatenWord zu benutzen
' Aufbau der Constanten
' C_III_CCCCC_CCCCCCCC 
'       +------------+.. 13 Bit Comando 0h - 1FFFh
'   +-+.................  3 Bit Index Karte 0-7 vom gleichen Typ im System
' +.....................  1 Bit Control-/Datenbit
'=============================================================================
' SYSTEM
CON
#$10000,  c_SYS             ' Die Slotnummer wird im 2.Word übertragen
#$10000,  c_SYS_SPEC        ' Spezifikation der Karte Abfragen der Steckplatz wird über I²C angefragt
          c_SYS_COGS        ' Service anzahl freier COGs
          c_SYS_LOAD        ' neuen Treibercode Laden
          c_SYS_LEDON
          c_SYS_LEDOFF
          c_SYS_REBO0T      ' Treiber zurücksetzen (Urzustand)

'=============================================================================
#ifdef VGA_TEXT | VGA_GRAPH
CON
#$10010,  c_VGA
#$10010,  c_VGA_START
          c_VGA_STOP
#endif
'=============================================================================
#ifdef VGA_TEXT
#endif
'=============================================================================
#ifdef VGA_GRAPH
CON
#$10020,  c_VGA_PSET
#endif
'=============================================================================
#ifdef FAT32
CON
#$10040,  c_SD
#$10040,  c_SD_START
          c_SD_STOP
#endif
'=============================================================================
#ifdef NET
CON
#$10050,  c_NET
#$10050,  c_NET_START
          c_NET_STOP
#endif
'=============================================================================